Attribute VB_Name = "mod_Clipboard_MSHTML_s4p"
Option Compare Database
Option Explicit

'*************** Code Start *****************************************************
' module name: mod_Clipboard_MSHTML_s4p
'-------------------------------------------------------------------------------
' Purpose  : VBA to work with Text on the Windows Clipboard
'              Set, Get, and Clear
' Author   : crystal (strive4peace)
' This code: https://msaccessgurus.com/VBA/Clipboard_MSHTML.htm
' LICENSE  :
'   You may freely use and share this code, but not sell it.
'   Keep attribution. Use at your own risk.
'-------------------------------------------------------------------------------
'  LATE binding is used, so no reference needed.
'  For better preformance, resuse object.
'  To explore and for EARLY binding:
'      Microsoft HTML Object Library
'        ( MSHTML )

Public Sub ClipboardSetText(ByVal pvText As Variant)
'240612 strive4peace
   With CreateObject("htmlfile") 'New HTMLDocument
      ' method for interface
      .parentWindow.clipboardData.setData "Text", pvText
   End With
End Sub

Public Function ClipboardGetText() As Variant
'240612
   With CreateObject("htmlfile")
      ClipboardGetText = .parentWindow.clipboardData.getData("Text")
   End With
End Function

Public Sub ClipboardClearText()
'240612
   With CreateObject("htmlfile")
      .parentWindow.clipboardData.clearData ("Text")
   End With
End Sub
'*************** Code End ******************************************************

'  setData method
' https://learn.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/platform-apis/aa752707(v=vs.85)

'  getData method
' https://learn.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/platform-apis/aa752706(v=vs.85)

'  clearData method
' https://learn.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/platform-apis/aa752702(v=vs.85)

'  IHTMLDataTransfer interface
' https://learn.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/platform-apis/aa752703(v=vs.85)

